Package com.sun.jna.platform.win32.COM

## Class TypeInfo.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.TypeInfo
        - - com.sun.jna.platform.win32.COM.TypeInfo.ByReference

All Implemented Interfaces:
  `NativeMapped`, `ITypeInfo`, `IUnknown`, `Structure.ByReference`

Enclosing class:
  TypeInfo

    public static class TypeInfo.ByReference
    extends TypeInfo
    implements Structure.ByReference

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.TypeInfo

`TypeInfo.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
`ByReference()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.COM.TypeInfo

`AddressOfMember, CreateInstance, GetContainingTypeLib, GetDllEntry, GetDocumentation, GetFuncDesc, GetIDsOfNames, GetImplTypeFlags, GetMops, GetNames, GetRefTypeInfo, GetRefTypeOfImplType, GetTypeAttr, GetTypeComp, GetVarDesc, Invoke, ReleaseFuncDesc, ReleaseTypeAttr, ReleaseVarDesc`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Constructor Detail

#### ByReference

    public ByReference()